Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Update a catalog item.

PUT
/customer-api/v1/catalog-item/{catalogItemUuid}
curl --request PUT \
--url https://your-instance.seventhings.com/customer-api/v1/catalog-item/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "fields": { "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>" } }'

Replace the field values of a catalog item. Send the complete state: a field that is missing in the request is emptied. The fields id, created_at, updated_at and updated_by_user_id are maintained by the server and values sent for them are ignored, so the fields of a catalog item read before may be sent back unchanged. Objects created from the catalog item stay untouched. Requires the product catalog feature and the right to update catalog items.

catalogItemUuid
required
string format: uuid
Media typeapplication/json

The field values of a catalog item, keyed like the fields of a read catalog item. A field that is not part of the catalog is rejected, as is a value for a field that must stay empty on a catalog item (e.g. a unique object field). Values for id, created_at, updated_at and updated_by_user_id are ignored.

object
fields
required

Fields defined in Template with its values, based on the type of the field. There is a difference with what can be send via POST/PUT/PATCH requests, and what will be returned via GET

This examples shows what data can be expected for ceraint field type:

POST/PUT/PATCH

{
    "ATTACHMENT": "array<string (fileUuid)>",
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": "int (asset id) | string (asset uuid)",
    "LINKED_LOCATION": "int (location id) | string (location uuid)",
    "LINKED_ROOM": "int (room id)| string (room uuid)",
    "LINKED_USER": "int (user id)| string (user uuid)",
    "LINKED_PERSON": "int (person id)| string (person uuid)",
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}

GET

{
    "ATTACHMENT": [
        {
            "uuid": "string (uuid)",
            "type": "string",
            "size": "int",
            "data_uri": "string",
            "file_uri": "string",
            "thumbnail_uri": "string",
        }
    ],
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_LOCATION": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_ROOM": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_USER": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_PERSON": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}
object
key
additional properties
any
Example
{
"<field_key_1>": "<field_value_1>",
"<field_key_2>": "<field_value_2>",
"<field_key_3>": "<field_value_3>"
}

Success

Request body is missing or invalid or request data is invalid.

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

The requested resource representation has no acceptable format.

Internal Server Error.